DCMTK: DRTQuantityDefinitionSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTQuantityDefinitionSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTQuantityDefinitionSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getDate (OFString &value, const signed long pos=0) const
| get Date (0040,a121)
OFCondition | getDateTime (OFString &value, const signed long pos=0) const
| get DateTime (0040,a120)
OFCondition | getFloatingPointValue (Float64 &value, const unsigned long pos=0) const
| get FloatingPointValue (0040,a161)
OFCondition | getNumericValue (OFString &value, const signed long pos=0) const
| get NumericValue (0040,a30a)
OFCondition | getNumericValue (Float64 &value, const unsigned long pos=0) const
| get NumericValue (0040,a30a)
OFCondition | getNumericValue (OFVector< Float64 > &value) const
| get NumericValue (0040,a30a)
OFCondition | getObservationDateTime (OFString &value, const signed long pos=0) const
| get ObservationDateTime (0040,a032)
OFCondition | getObservationStartDateTime (OFString &value, const signed long pos=0) const
| get ObservationStartDateTime (0040,a033)
OFCondition | getPersonName (OFString &value, const signed long pos=0) const
| get PersonName (0040,a123)
OFCondition | getRationalDenominatorValue (Uint32 &value, const unsigned long pos=0) const
| get RationalDenominatorValue (0040,a163)
OFCondition | getRationalNumeratorValue (Sint32 &value, const unsigned long pos=0) const
| get RationalNumeratorValue (0040,a162)
OFCondition | getTextValue (OFString &value, const signed long pos=0) const
| get TextValue (0040,a160)
OFCondition | getTime (OFString &value, const signed long pos=0) const
| get Time (0040,a122)
OFCondition | getUID (OFString &value, const signed long pos=0) const
| get UID (0040,a124)
OFCondition | getValueType (OFString &value, const signed long pos=0) const
| get ValueType (0040,a040)
DRTConceptCodeSequence & | getConceptCodeSequence ()
| get ConceptCodeSequence (0040,a168)
const DRTConceptCodeSequence & | getConceptCodeSequence () const
| get ConceptCodeSequence (0040,a168)
DRTConceptNameCodeSequence & | getConceptNameCodeSequence ()
| get ConceptNameCodeSequence (0040,a043)
const DRTConceptNameCodeSequence & | getConceptNameCodeSequence () const
| get ConceptNameCodeSequence (0040,a043)
DRTContentItemModifierSequence & | getContentItemModifierSequence ()
| get ContentItemModifierSequence (0040,0441)
const DRTContentItemModifierSequence & | getContentItemModifierSequence () const
| get ContentItemModifierSequence (0040,0441)
DRTMeasurementUnitsCodeSequence & | getMeasurementUnitsCodeSequence ()
| get MeasurementUnitsCodeSequence (0040,08ea)
const DRTMeasurementUnitsCodeSequence & | getMeasurementUnitsCodeSequence () const
| get MeasurementUnitsCodeSequence (0040,08ea)
DRTReferencedSOPSequence & | getReferencedSOPSequence ()
| get ReferencedSOPSequence (0008,1199)
const DRTReferencedSOPSequence & | getReferencedSOPSequence () const
| get ReferencedSOPSequence (0008,1199)
OFCondition | setDate (const OFString &value, const OFBool check=OFTrue)
| set Date (0040,a121)
OFCondition | setDateTime (const OFString &value, const OFBool check=OFTrue)
| set DateTime (0040,a120)
OFCondition | setFloatingPointValue (const Float64 value, const unsigned long pos=0)
| set FloatingPointValue (0040,a161)
OFCondition | setNumericValue (const OFString &value, const OFBool check=OFTrue)
| set NumericValue (0040,a30a)
OFCondition | setObservationDateTime (const OFString &value, const OFBool check=OFTrue)
| set ObservationDateTime (0040,a032)
OFCondition | setObservationStartDateTime (const OFString &value, const OFBool check=OFTrue)
| set ObservationStartDateTime (0040,a033)
OFCondition | setPersonName (const OFString &value, const OFBool check=OFTrue)
| set PersonName (0040,a123)
OFCondition | setRationalDenominatorValue (const Uint32 value, const unsigned long pos=0)
| set RationalDenominatorValue (0040,a163)
OFCondition | setRationalNumeratorValue (const Sint32 value, const unsigned long pos=0)
| set RationalNumeratorValue (0040,a162)
OFCondition | setTextValue (const OFString &value, const OFBool check=OFTrue)
| set TextValue (0040,a160)
OFCondition | setTime (const OFString &value, const OFBool check=OFTrue)
| set Time (0040,a122)
OFCondition | setUID (const OFString &value, const OFBool check=OFTrue)
| set UID (0040,a124)
OFCondition | setValueType (const OFString &value, const OFBool check=OFTrue)
| set ValueType (0040,a040)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTConceptCodeSequence | ConceptCodeSequence
| ConceptCodeSequence (0040,a168) vr=SQ, vm=1, type=1C.
DRTConceptNameCodeSequence | ConceptNameCodeSequence
| ConceptNameCodeSequence (0040,a043) vr=SQ, vm=1, type=1.
DRTContentItemModifierSequence | ContentItemModifierSequence
| ContentItemModifierSequence (0040,0441) vr=SQ, vm=1, type=3.
DcmDate | Date
| Date (0040,a121) vr=DA, vm=1, type=1C.
DcmDateTime | DateTime
| DateTime (0040,a120) vr=DT, vm=1, type=1C.
DcmFloatingPointDouble | FloatingPointValue
| FloatingPointValue (0040,a161) vr=FD, vm=1-n, type=1C.
DRTMeasurementUnitsCodeSequence | MeasurementUnitsCodeSequence
| MeasurementUnitsCodeSequence (0040,08ea) vr=SQ, vm=1, type=1C.
DcmDecimalString | NumericValue
| NumericValue (0040,a30a) vr=DS, vm=1-n, type=1C.
DcmDateTime | ObservationDateTime
| ObservationDateTime (0040,a032) vr=DT, vm=1, type=3.
DcmDateTime | ObservationStartDateTime
| ObservationStartDateTime (0040,a033) vr=DT, vm=1, type=3.
DcmPersonName | PersonName
| PersonName (0040,a123) vr=PN, vm=1, type=1C.
DcmUnsignedLong | RationalDenominatorValue
| RationalDenominatorValue (0040,a163) vr=UL, vm=1-n, type=1C.
DcmSignedLong | RationalNumeratorValue
| RationalNumeratorValue (0040,a162) vr=SL, vm=1-n, type=1C.
DRTReferencedSOPSequence | ReferencedSOPSequence
| ReferencedSOPSequence (0008,1199) vr=SQ, vm=1, type=1C.
DcmUnlimitedText | TextValue
| TextValue (0040,a160) vr=UT, vm=1, type=1C.
DcmTime | Time
| Time (0040,a122) vr=TM, vm=1, type=1C.
DcmUniqueIdentifier | UID
| UID (0040,a124) vr=UI, vm=1, type=1C.
DcmCodeString | ValueType
| ValueType (0040,a040) vr=CS, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTQuantityDefinitionSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTQuantityDefinitionSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getConceptCodeSequence() [1/2]

DRTConceptCodeSequence & DRTQuantityDefinitionSequence::Item::getConceptCodeSequence | ( |  | ) |
| inline

get ConceptCodeSequence (0040,a168)

Returns
  reference to sequence element

References ConceptCodeSequence.

## ◆ getConceptCodeSequence() [2/2]

const DRTConceptCodeSequence & DRTQuantityDefinitionSequence::Item::getConceptCodeSequence | ( |  | ) | const
| inline

get ConceptCodeSequence (0040,a168)

Returns
  const reference to sequence element

References ConceptCodeSequence.

## ◆ getConceptNameCodeSequence() [1/2]

DRTConceptNameCodeSequence & DRTQuantityDefinitionSequence::Item::getConceptNameCodeSequence | ( |  | ) |
| inline

get ConceptNameCodeSequence (0040,a043)

Returns
  reference to sequence element

References ConceptNameCodeSequence.

## ◆ getConceptNameCodeSequence() [2/2]

const DRTConceptNameCodeSequence & DRTQuantityDefinitionSequence::Item::getConceptNameCodeSequence | ( |  | ) | const
| inline

get ConceptNameCodeSequence (0040,a043)

Returns
  const reference to sequence element

References ConceptNameCodeSequence.

## ◆ getContentItemModifierSequence() [1/2]

DRTContentItemModifierSequence & DRTQuantityDefinitionSequence::Item::getContentItemModifierSequence | ( |  | ) |
| inline

get ContentItemModifierSequence (0040,0441)

Returns
  reference to sequence element

References ContentItemModifierSequence.

## ◆ getContentItemModifierSequence() [2/2]

const DRTContentItemModifierSequence & DRTQuantityDefinitionSequence::Item::getContentItemModifierSequence | ( |  | ) | const
| inline

get ContentItemModifierSequence (0040,0441)

Returns
  const reference to sequence element

References ContentItemModifierSequence.

## ◆ getDate()

OFCondition DRTQuantityDefinitionSequence::Item::getDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get Date (0040,a121)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDateTime()

OFCondition DRTQuantityDefinitionSequence::Item::getDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DateTime (0040,a120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFloatingPointValue()

OFCondition DRTQuantityDefinitionSequence::Item::getFloatingPointValue | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get FloatingPointValue (0040,a161)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMeasurementUnitsCodeSequence() [1/2]

DRTMeasurementUnitsCodeSequence & DRTQuantityDefinitionSequence::Item::getMeasurementUnitsCodeSequence | ( |  | ) |
| inline

get MeasurementUnitsCodeSequence (0040,08ea)

Returns
  reference to sequence element

References MeasurementUnitsCodeSequence.

## ◆ getMeasurementUnitsCodeSequence() [2/2]

const DRTMeasurementUnitsCodeSequence & DRTQuantityDefinitionSequence::Item::getMeasurementUnitsCodeSequence | ( |  | ) | const
| inline

get MeasurementUnitsCodeSequence (0040,08ea)

Returns
  const reference to sequence element

References MeasurementUnitsCodeSequence.

## ◆ getNumericValue() [1/3]

OFCondition DRTQuantityDefinitionSequence::Item::getNumericValue | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get NumericValue (0040,a30a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumericValue() [2/3]

OFCondition DRTQuantityDefinitionSequence::Item::getNumericValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumericValue (0040,a30a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumericValue() [3/3]

OFCondition DRTQuantityDefinitionSequence::Item::getNumericValue | ( | OFVector< Float64 > & | value | ) | const

get NumericValue (0040,a30a)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getObservationDateTime()

OFCondition DRTQuantityDefinitionSequence::Item::getObservationDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ObservationDateTime (0040,a032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getObservationStartDateTime()

OFCondition DRTQuantityDefinitionSequence::Item::getObservationStartDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ObservationStartDateTime (0040,a033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonName()

OFCondition DRTQuantityDefinitionSequence::Item::getPersonName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PersonName (0040,a123)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRationalDenominatorValue()

OFCondition DRTQuantityDefinitionSequence::Item::getRationalDenominatorValue | ( | Uint32 & | value,
|  | const unsigned long | pos = 0 ) const

get RationalDenominatorValue (0040,a163)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRationalNumeratorValue()

OFCondition DRTQuantityDefinitionSequence::Item::getRationalNumeratorValue | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get RationalNumeratorValue (0040,a162)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedSOPSequence() [1/2]

DRTReferencedSOPSequence & DRTQuantityDefinitionSequence::Item::getReferencedSOPSequence | ( |  | ) |
| inline

get ReferencedSOPSequence (0008,1199)

Returns
  reference to sequence element

References ReferencedSOPSequence.

## ◆ getReferencedSOPSequence() [2/2]

const DRTReferencedSOPSequence & DRTQuantityDefinitionSequence::Item::getReferencedSOPSequence | ( |  | ) | const
| inline

get ReferencedSOPSequence (0008,1199)

Returns
  const reference to sequence element

References ReferencedSOPSequence.

## ◆ getTextValue()

OFCondition DRTQuantityDefinitionSequence::Item::getTextValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TextValue (0040,a160)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTime()

OFCondition DRTQuantityDefinitionSequence::Item::getTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get Time (0040,a122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getUID()

OFCondition DRTQuantityDefinitionSequence::Item::getUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get UID (0040,a124)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getValueType()

OFCondition DRTQuantityDefinitionSequence::Item::getValueType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ValueType (0040,a040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTQuantityDefinitionSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTQuantityDefinitionSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTQuantityDefinitionSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTQuantityDefinitionSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDate()

OFCondition DRTQuantityDefinitionSequence::Item::setDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set Date (0040,a121)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDateTime()

OFCondition DRTQuantityDefinitionSequence::Item::setDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DateTime (0040,a120)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFloatingPointValue()

OFCondition DRTQuantityDefinitionSequence::Item::setFloatingPointValue | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set FloatingPointValue (0040,a161)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumericValue()

OFCondition DRTQuantityDefinitionSequence::Item::setNumericValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumericValue (0040,a30a)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setObservationDateTime()

OFCondition DRTQuantityDefinitionSequence::Item::setObservationDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ObservationDateTime (0040,a032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setObservationStartDateTime()

OFCondition DRTQuantityDefinitionSequence::Item::setObservationStartDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ObservationStartDateTime (0040,a033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonName()

OFCondition DRTQuantityDefinitionSequence::Item::setPersonName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PersonName (0040,a123)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRationalDenominatorValue()

OFCondition DRTQuantityDefinitionSequence::Item::setRationalDenominatorValue | ( | const Uint32 | value,
|  | const unsigned long | pos = 0 )

set RationalDenominatorValue (0040,a163)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRationalNumeratorValue()

OFCondition DRTQuantityDefinitionSequence::Item::setRationalNumeratorValue | ( | const Sint32 | value,
|  | const unsigned long | pos = 0 )

set RationalNumeratorValue (0040,a162)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTextValue()

OFCondition DRTQuantityDefinitionSequence::Item::setTextValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TextValue (0040,a160)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTime()

OFCondition DRTQuantityDefinitionSequence::Item::setTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set Time (0040,a122)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setUID()

OFCondition DRTQuantityDefinitionSequence::Item::setUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set UID (0040,a124)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setValueType()

OFCondition DRTQuantityDefinitionSequence::Item::setValueType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ValueType (0040,a040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTQuantityDefinitionSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtqds.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1